com.brightcove.player.network

## Interface DownloadManager.Listener

- Enclosing class:
    DownloadManager

      public static interface DownloadManager.Listener

  A listener that can be used to callback notifications about download requests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCancelled()` Called when a download request set has been removed before if it was complete.
    `void` | `onChanged(DownloadStatus status)` Called when the overall progress of the download request set has changed.
    `void` | `onCompleted(DownloadStatus status)` Called when a download request set has been completed successfully
    `void` | `onDeleted()` Called when a download request set has been removed after if it was complete.
    `void` | `onFailed(DownloadStatus status)` Called when a download request set has failed.

- - ### Method Detail

    - #### onChanged

          void onChanged(@Nullable
                         DownloadStatus status)

      Called when the overall progress of the download request set has changed.
      Parameters:
        `status` - the overall status of the download request set.

    - #### onCompleted

          void onCompleted(@Nullable
                           DownloadStatus status)

      Called when a download request set has been completed successfully
      Parameters:
        `status` - the overall status of the download request set.

    - #### onFailed

          void onFailed(@Nullable
                        DownloadStatus status)

      Called when a download request set has failed.
      Parameters:
        `status` - the overall status of the download request set.

    - #### onCancelled

          void onCancelled()

      Called when a download request set has been removed before if it was complete.

    - #### onDeleted

          void onDeleted()

      Called when a download request set has been removed after if it was complete.